Subject: Re:Re: Re: bug#53008: [PATCH 0/3] Add plugins to Thunar

From: tumashu <[email-masked]>
Date: Tue, 15 Mar 2022 09:14:15 +0800 (CST)

I do a hack in my own config like below: seem to work when install plugin in system configure :-)

```
(define-public thunar-geeguix
  (package
    (inherit thunar)
    (arguments
     (list
      #:phases
      #~(modify-phases %standard-phases
          (add-after 'unpack 'fix-thunarx-directory
            (lambda _
              (substitute* "thunarx/Makefile.in"
                (("THUNARX_DIRECTORY=.*")
                 (string-append "THUNARX_DIRECTORY="
                                "\\\"/run/current-system/profile/lib/thunarx-3\\\" \\\n"))))))))))

```

At 2022-03-14 07:57:13, "tumashu" <[email-masked]> wrote:
>I think it is controled by:  THUNARX_DIRECTORY.
>
>```
>./thunarx-provider-factory.c\0158:  dp = g_dir_open (THUNARX_DIRECTORY, 0, NULL);
>./thunarx-provider-module.c\0180:  path = g_build_filename (THUNARX_DIRECTORY, type_module->name, NULL);
>./Makefile\0699:	-DTHUNARX_DIRECTORY=\"$(libdir)/thunarx-$(THUNARX_VERSION_API)\"	\
>./Makefile.in\0699:	-DTHUNARX_DIRECTORY=\"$(libdir)/thunarx-$(THUNARX_VERSION_API)\"	\
>./Makefile.am\05:	-DTHUNARX_DIRECTORY=\"$(libdir)/thunarx-$(THUNARX_VERSION_API)\"	\
>```
>
>While THUNARX_DIRECTORY is defined in Makefile:
>
>```
>AM_CPPFLAGS = \
>	-I$(top_srcdir)							\
>	-DG_LOG_DOMAIN=\"thunarx\"					\
>	-DTHUNARX_COMPILATION						\
>	-DTHUNARX_DIRECTORY=\"$(libdir)/thunarx-$(THUNARX_VERSION_API)\"	\
>	$(PLATFORM_CPPFLAGS)
>```
>
>So, I think we should deal with this like xfce-panel-plugins.patch:
>
>https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/packages/patches/xfce4-panel-plugins.patch